BareMetal API, REST: Image.ResolveImages
Resolves the latest published Image for each available family within the specified folder.
Returns one Image per family - the most recently published one.
https://google.aip.dev/130 --)
https://google.aip.dev/130 --)
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v2/folders/{folderId}/images:resolveImages
Path parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the parent folder. "baremetal-standard-images" folder contains general images and used by default To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
orderBy |
string Sorting order for the listing. Follows the AIP-132 Supported fields: |
Response
HTTP Code: 200 - OK
{
"images": [
{
"imageId": "string",
"folderId": "string",
"name": "string",
"family": "string",
"state": "string",
"publishTime": "string",
"cloudId": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
images[] |
List of resolved Image resources - one per family, the most recently published. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
Image
An Image resource.
|
Field |
Description |
|
imageId |
string ID of the image. |
|
folderId |
string ID of the folder that the image belongs to. |
|
name |
string Name of the image |
|
family |
string Family of the image |
|
state |
enum (Status) State of the image.
|
|
publishTime |
string (date-time) Timestamp when the image was published. String in RFC3339 To work with values in this field, use the APIs described in the |
|
cloudId |
string ID of the cloud that the image belongs to. |